'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../actions');

var Actions = _interopRequireWildcard(_actions);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var PopulateNotifications = function PopulateNotifications(_ref) {
  var fetchNotificationsSuccess = _ref.fetchNotificationsSuccess;

  var onClick = function onClick() {
    fetchNotificationsSuccess({
      probes: [{
        id: 1,
        probeable: {
          id: 1,
          participantId: 8,
          projectId: 1,
          taskId: 1,
          taskIcon: 'http://icons.iconarchive.com/icons/martz90/circle/512/myspace-icon.png',
          taskTitle: 'Retro Social Networks',
          type: 'response'
        },
        messages: [{
          authorId: 2,
          sentAt: '2014-08-19T14:10:00+00:00',
          text: 'Ever since I was a young boy, I\'ve played the silver ball,From Soho down to Brighton, I must have played them all, But I ain\'t seen nothing like him, In any amusement hall, That deaf dumb and blind kid, Sure plays a mean pin ball!'
        }]
      }, {
        id: 2,
        probeable: {
          id: 2,
          participantId: 8,
          projectId: 1,
          taskId: 1,
          taskIcon: 'http://icons.iconarchive.com/icons/martz90/circle/512/myspace-icon.png',
          taskTitle: 'Retro Social Networks',
          type: 'response'
        },
        messages: [{
          authorId: 2,
          sentAt: '2016-08-19T14:10:00+00:00',
          text: 'Well, people try to put us down. Talkin\' bout my generation. Just because we get around. Talkin\' bout my generation. The things they do look awful cold. Talkin\' bout my generation. I hope I die before I get old.'
        }]
      }, {
        id: 3,
        probeable: {
          id: 3,
          participantId: 8,
          projectId: 1,
          taskId: 1,
          taskIcon: 'http://icons.iconarchive.com/icons/martz90/circle/512/myspace-icon.png',
          taskTitle: 'Retro Social Networks',
          type: 'response'
        },
        messages: [{
          authorId: 2,
          sentAt: '2016-08-19T14:10:00+00:00',
          text: 'Out here in the fields, I fight for my meals, I get my back into my living, I don\'t need to fight To prove I\'m right, I don\'t need to be forgiven'
        }]
      }, {
        id: 4,
        probeable: {
          id: 4,
          participantId: 8,
          projectId: 1,
          taskId: 1,
          taskIcon: 'http://icons.iconarchive.com/icons/martz90/circle/512/myspace-icon.png',
          taskTitle: 'Retro Social Networks',
          type: 'response'
        },
        messages: [{
          authorId: 2,
          sentAt: '2015-08-19T14:10:00+00:00',
          text: 'Well, who are you? (who are you? who, who, who, who?), I really wanna know (who are you? who, who, who, who?), Tell me, who are you? (who are you? who, who, who, who?), \'Cause I really wanna know (who are you? who, who, who, who?)'
        }]
      }, {
        id: 5,
        probeable: {
          id: 5,
          participantId: 8,
          projectId: 1,
          taskId: 1,
          taskIcon: 'http://icons.iconarchive.com/icons/martz90/circle/512/myspace-icon.png',
          taskTitle: 'Retro Social Networks',
          type: 'response'
        },
        messages: [{
          authorId: 2,
          sentAt: '2016-07-19T14:10:00+00:00',
          text: 'We\'ll be fighting in the streets, With our children at our feet, And the morals that they worship will be gone, And the men who spurred us on, Sit in judgement of all wrong, They decide and the shotgun sings the song'
        }]
      }, {
        id: 6,
        probeable: {
          id: 6,
          participantId: 8,
          projectId: 1,
          taskId: 1,
          taskIcon: 'http://icons.iconarchive.com/icons/martz90/circle/512/myspace-icon.png',
          taskTitle: 'Retro Social Networks',
          type: 'response'
        },
        messages: [{
          authorId: 2,
          sentAt: '2016-08-19T14:10:00+00:00',
          text: 'I know you\'ve deceived me, now here\'s a surprise, I know that you have \'cause there\'s magic in my eyes, I can see for miles and miles and miles and miles and miles, Oh yeah'
        }]
      }],
      authors: [{
        id: 2,
        nickname: 'Pete Townsend',
        avatar: 'https://67.media.tumblr.com/avatar_ecb52633a053_128.png',
        type: 'participant'
      }]
    });
  };
  return _react2['default'].createElement(
    'div',
    null,
    _react2['default'].createElement(
      'button',
      { onClick: onClick },
      'Populate Notifications'
    )
  );
};

PopulateNotifications.propTypes = {};

exports['default'] = (0, _reactRedux.connect)(function () {
  return {};
}, { fetchNotificationsSuccess: Actions.fetchNotificationsSuccess })(PopulateNotifications);